package org.rcisoft.bus.storegoodslog.entity;

import cn.afterturn.easypoi.excel.annotation.Excel;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonIgnore;
import lombok.Data;
import org.rcisoft.core.entity.CyIdIncreEntity;
import org.springframework.format.annotation.DateTimeFormat;

import java.math.BigDecimal;
import java.util.Date;

/**
* Created with cy on 2024年5月29日 下午1:21:49.
*/
@Data
@TableName("store_goods_log")
public class StoreGoodsLog extends CyIdIncreEntity<StoreGoodsLog> {

     private String ioType;
     @Excel(name = "商品名称", orderNum = "1", width = 20)
     private String goodsName;
     @Excel(name = "商品编码", orderNum = "2", width = 20)
     private String goodsCode;
     private Integer applyId;
     @Excel(name = "总数量",orderNum = "8", width = 20)
     private Integer goodsCounts;
     private Integer updateCounts;
     private Integer goodsId;

     @TableField(exist = false)
     @Excel(name = "销售单号", orderNum = "3", width = 20)
     private String appCode;

     @TableField(exist = false)
     @Excel(name = "门店", orderNum = "0", width = 20)
     private String storeName;

     @TableField(exist = false)
     private String storeId;

     /**
      * @desc 原价
      * @column original_price
      * @default
      */
     @Excel(name = "原价", orderNum = "4", width = 20)
     private BigDecimal originalPrice;

     /**
      * @desc 折扣价
      * @column discount_price
      * @default
      */
     @Excel(name = "折扣价", orderNum = "5", width = 20)
     private BigDecimal discountPrice;

     /**
      * @desc 门店价
      * @column store_price
      * @default
      */
     @Excel(name = "门店价", orderNum = "6", width = 20)
     private BigDecimal storePrice;

     /**
      * @desc 总价
      * @column total_price
      * @default
      */
     @Excel(name = "总价", orderNum = "7", width = 20)
     private BigDecimal totalPrice;

     /**
      * @desc 销售日期
      * @column update_date
      * @default
      */
     @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
     @Excel(name = "销售日期", orderNum = "9", width = 20, format = "yyyy-MM-dd")
     @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
     private Date updateDate;

     /**
      * 销售开始时间
      */
     @JsonIgnore
     @TableField(exist = false)
     private String startTime;

     /**
      * 销售结束时间
      */
     @JsonIgnore
     @TableField(exist = false)
     private String finishTime;

     private String isReturn;
}

